## roadmap 1.1.0j-7diablo

=== Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
# Copyright (C) 2008 Charles Werbick
#
# This file is part of Roadmap for Maemo

# Roadmap for Maemo is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Roadmap for Maemo is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#

srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/roadmap
pkglibdir = $(libdir)/roadmap
pkgincludedir = $(includedir)/roadmap
top_builddir = .

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i686-pc-linux-gnu
ACLOCAL = ${SHELL} /home/cfw/SVN/roadmap/trunk/missing --run aclocal-1.7
AGG_CFLAGS = 
AGG_LIBS = 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/cfw/SVN/roadmap/trunk/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/cfw/SVN/roadmap/trunk/missing --run autoconf
AUTOHEADER = ${SHELL} /home/cfw/SVN/roadmap/trunk/missing --run autoheader
AUTOMAKE = ${SHELL} /home/cfw/SVN/roadmap/trunk/missing --run automake-1.7
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -g -O2 -DNDEBUG
CONIC_CFLAGS = -I/usr/include/conic -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
CONIC_LIBS = -lconic -ldbus-1 -lgobject-2.0 -lglib-2.0  
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GCONF_CFLAGS = -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GCONF_LIBS = -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
GLIB_CFLAGS =  
GLIB_LIBS =  
GNOME_VFS_CFLAGS = -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gnome-vfs-module-2.0  
GNOME_VFS_LIBS = -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldl -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
GREP = /scratchbox/tools/bin/grep
GTK_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12  
GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
HILDON_CFLAGS = -DMAEMO_CHANGES -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/hildon-fm-2  
HILDON_LIBS = -lhildon-1 -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBAGG_CFLAGS = -I/usr/include/agg2  
LIBAGG_LIBS = -lagg_pic  
LIBOBJS = 
LIBS = -lgpsbt -lgps -lgpsmgr 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBXML2_CFLAGS = -I/usr/include/libxml2  
LIBXML2_LIBS = -lxml2  
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/cfw/SVN/roadmap/trunk/missing --run makeinfo
OBJEXT = o
OSSO_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
OSSO_LIBS = -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
PACKAGE = roadmap
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 1.1.0
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${datarootdir}
datarootdir = ${prefix}/share
desktopentrydir = /usr/share/applications/hildon
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
helpfile_engbdir = ${datarootdir}/osso-help/en_GB
helpfile_enusdir = ${datarootdir}/osso-help/en_US
helpfile_fifidir = ${datarootdir}/osso-help/fi_FI
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
icon_26x26dir = ${datarootdir}/icons/hicolor/26x26/hildon
icon_34x34dir = ${datarootdir}/icons/hicolor/34x34/hildon
icon_40x40dir = ${datarootdir}/icons/hicolor/40x40/hildon
icon_50x50dir = ${datarootdir}/icons/hicolor/50x50/hildon
icon_scalabledir = ${datarootdir}/icons/hicolor/scalable/hildon
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/cfw/SVN/roadmap/trunk/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
oldincludedir = /usr/include
pdfdir = ${docdir}
pixmapdir = /usr/share/pixmaps
plugindesktopentrydir = /usr/share/applications/hildon-control-panel
pluginlibdir = 
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
serviceentrydir = /usr/share/dbus-1/services
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 

EXTRA_DIST = \
        autogen.sh \
        debian/changelog \
        debian/compat \
        debian/copyright  \
        debian/control \
        debian/rules \
        debian/roadmap.links \
	debian/roadmap.substvars


SUBDIRS = src data
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/src/config.h
CONFIG_CLEAN_FILES =
DIST_SOURCES =

RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
	ps-recursive install-info-recursive uninstall-info-recursive \
	all-recursive install-data-recursive install-exec-recursive \
	installdirs-recursive install-recursive uninstall-recursive \
	check-recursive installcheck-recursive
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/configure AUTHORS \
	Makefile.am TODO aclocal.m4 compile config.guess config.sub \
	configure configure.ac depcomp install-sh ltmain.sh missing \
	mkinstalldirs
DIST_SUBDIRS = $(SUBDIRS)
all: all-recursive

.SUFFIXES:

am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)

$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure:  $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

$(ACLOCAL_M4):  configure.ac 
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	if (etags --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	else \
	  include_option=--include; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && \
	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \

=== data/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# data/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
# Copyright 2008 Charles Werbick
# This file is part of Roadmap for Maemo
# 
#
#   RoadMap is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   RoadMap is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#
#   You should have received a copy of the GNU General Public License
#   along with RoadMap; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/roadmap
pkglibdir = $(libdir)/roadmap
pkgincludedir = $(includedir)/roadmap
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i686-pc-linux-gnu
ACLOCAL = ${SHELL} /home/cfw/SVN/roadmap/trunk/missing --run aclocal-1.7
AGG_CFLAGS = 
AGG_LIBS = 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/cfw/SVN/roadmap/trunk/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/cfw/SVN/roadmap/trunk/missing --run autoconf
AUTOHEADER = ${SHELL} /home/cfw/SVN/roadmap/trunk/missing --run autoheader
AUTOMAKE = ${SHELL} /home/cfw/SVN/roadmap/trunk/missing --run automake-1.7
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -g -O2 -DNDEBUG
CONIC_CFLAGS = -I/usr/include/conic -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
CONIC_LIBS = -lconic -ldbus-1 -lgobject-2.0 -lglib-2.0  
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GCONF_CFLAGS = -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GCONF_LIBS = -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
GLIB_CFLAGS =  
GLIB_LIBS =  
GNOME_VFS_CFLAGS = -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gnome-vfs-module-2.0  
GNOME_VFS_LIBS = -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldl -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
GREP = /scratchbox/tools/bin/grep
GTK_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12  
GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
HILDON_CFLAGS = -DMAEMO_CHANGES -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/hildon-fm-2  
HILDON_LIBS = -lhildon-1 -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBAGG_CFLAGS = -I/usr/include/agg2  
LIBAGG_LIBS = -lagg_pic  
LIBOBJS = 
LIBS = -lgpsbt -lgps -lgpsmgr 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBXML2_CFLAGS = -I/usr/include/libxml2  
LIBXML2_LIBS = -lxml2  
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/cfw/SVN/roadmap/trunk/missing --run makeinfo
OBJEXT = o
OSSO_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
OSSO_LIBS = -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
PACKAGE = roadmap
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 1.1.0
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${datarootdir}
datarootdir = ${prefix}/share
desktopentrydir = /usr/share/applications/hildon
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
helpfile_engbdir = ${datarootdir}/osso-help/en_GB
helpfile_enusdir = $(datadir)/hildon-help/en_US
helpfile_fifidir = ${datarootdir}/osso-help/fi_FI
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}

icon_26x26dir = $(datadir)/icons/hicolor/26x26/hildon
icon_34x34dir = ${datarootdir}/icons/hicolor/34x34/hildon
icon_40x40dir = $(datadir)/icons/hicolor/40x40/hildon
icon_50x50dir = ${datarootdir}/icons/hicolor/50x50/hildon
icon_scalabledir = $(datadir)/icons/hicolor/scalable/hildon
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/cfw/SVN/roadmap/trunk/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
oldincludedir = /usr/include
pdfdir = ${docdir}
pixmapdir = /usr/share/pixmaps
plugindesktopentrydir = /usr/share/applications/hildon-control-panel
pluginlibdir = 
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
serviceentrydir = /usr/share/dbus-1/services
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 

desktopdir = $(datadir)/applications/hildon
mimedir = $(datadir)/mime/packages
servicedir = $(datadir)/dbus-1/services
sharedir = $(datadir)/roadmap
share_defaultdir = $(datadir)/roadmap/default
icon_systemdir = $(datadir)/pixmaps

service_DATA = org.maemo.roadmap.service org.maemo.roadgps.service org.maemo.getmaps.service
desktop_DATA = roadmap.desktop roadgps.desktop getmaps.desktop
mime_DATA = roadmap.xml
icon_26x26_DATA = icons/26x26/roadmap.png icons/26x26/roadgps.png icons/26x26/getmaps.png
icon_40x40_DATA = icons/40x40/roadmap.png icons/40x40/roadgps.png icons/40x40/getmaps.png
icon_scalable_DATA = icons/scalable/roadmap.png icons/scalable/roadgps.png icons/scalable/getmaps.png

icon_system_DATA = icons/system/rm_clockwise.png icons/system/rm_counterclockwise.png \
			icons/system/rm_destination.png icons/system/rm_down.png \
			icons/system/rm_full.png icons/system/rm_gps.png \
			icons/system/rm_hold.png icons/system/rm_left.png \
			icons/system/rm_location.png icons/system/rm_quit.png \
			icons/system/rm_record.png icons/system/rm_right.png \
			icons/system/rm_stop.png icons/system/rm_up.png \
			icons/system/rm_zoom1.png icons/system/rm_zoomin.png \
			icons/system/rm_zoomout.png


share_default_DATA = default/All

share_DATA = session sprites roadmap.screenobjects roadmap.popup preferences manual.html apt_toc.gif drivers LiberationSans-Bold.ttf

helpfile_enus_DATA = help/en_US/RoadMap.xml

EXTRA_DIST = $(desktop_DATA) $(service_DATA) $(icon_26x26_DATA) $(mime_DATA) \
$(icon_40x40_DATA) $(icon_scalable_DATA) $(icon_system_DATA) $(helpfile_enus_DATA) \
$(share_default_DATA) $(share_DATA)

subdir = data
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/src/config.h
CONFIG_CLEAN_FILES =
DIST_SOURCES =
DATA = $(desktop_DATA) $(helpfile_enus_DATA) $(icon_26x26_DATA) \
	$(icon_40x40_DATA) $(icon_scalable_DATA) $(icon_system_DATA) \
	$(mime_DATA) $(service_DATA) $(share_DATA) \
	$(share_default_DATA)

DIST_COMMON = $(srcdir)/Makefile.in Makefile.am
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  data/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
desktopDATA_INSTALL = $(INSTALL_DATA)
install-desktopDATA: $(desktop_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(desktopdir)
	@list='$(desktop_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(desktopDATA_INSTALL) $$d$$p $(DESTDIR)$(desktopdir)/$$f"; \
	  $(desktopDATA_INSTALL) $$d$$p $(DESTDIR)$(desktopdir)/$$f; \
	done

uninstall-desktopDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(desktop_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(desktopdir)/$$f"; \
	  rm -f $(DESTDIR)$(desktopdir)/$$f; \
	done
helpfile_enusDATA_INSTALL = $(INSTALL_DATA)
install-helpfile_enusDATA: $(helpfile_enus_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(helpfile_enusdir)
	@list='$(helpfile_enus_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(helpfile_enusDATA_INSTALL) $$d$$p $(DESTDIR)$(helpfile_enusdir)/$$f"; \
	  $(helpfile_enusDATA_INSTALL) $$d$$p $(DESTDIR)$(helpfile_enusdir)/$$f; \
	done

uninstall-helpfile_enusDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(helpfile_enus_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(helpfile_enusdir)/$$f"; \
	  rm -f $(DESTDIR)$(helpfile_enusdir)/$$f; \
	done
icon_26x26DATA_INSTALL = $(INSTALL_DATA)
install-icon_26x26DATA: $(icon_26x26_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(icon_26x26dir)
	@list='$(icon_26x26_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(icon_26x26DATA_INSTALL) $$d$$p $(DESTDIR)$(icon_26x26dir)/$$f"; \
	  $(icon_26x26DATA_INSTALL) $$d$$p $(DESTDIR)$(icon_26x26dir)/$$f; \
	done

uninstall-icon_26x26DATA:
	@$(NORMAL_UNINSTALL)
	@list='$(icon_26x26_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(icon_26x26dir)/$$f"; \
	  rm -f $(DESTDIR)$(icon_26x26dir)/$$f; \
	done
icon_40x40DATA_INSTALL = $(INSTALL_DATA)
install-icon_40x40DATA: $(icon_40x40_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(icon_40x40dir)
	@list='$(icon_40x40_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \

=== src/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# src/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
# Copyright 2008 Charles Werbick
# This file is part of Roadmap for Maemo
# 
#
#   RoadMap is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   RoadMap is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#
#   You should have received a copy of the GNU General Public License
#   along with RoadMap; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/roadmap
pkglibdir = $(libdir)/roadmap
pkgincludedir = $(includedir)/roadmap
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i686-pc-linux-gnu
ACLOCAL = ${SHELL} /home/cfw/SVN/roadmap/trunk/missing --run aclocal-1.7
AGG_CFLAGS = 
AGG_LIBS = 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/cfw/SVN/roadmap/trunk/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/cfw/SVN/roadmap/trunk/missing --run autoconf
AUTOHEADER = ${SHELL} /home/cfw/SVN/roadmap/trunk/missing --run autoheader
AUTOMAKE = ${SHELL} /home/cfw/SVN/roadmap/trunk/missing --run automake-1.7
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3

CFLAGS = -O2 -ffast-math -fomit-frame-pointer $(GTK_CFLAGS) $(HILDON_CFLAGS) $(OSSO_CFLAGS) $(GCONF_CFLAGS) $(AGG_CFLAGS) -DAGG_PIXFMT=pixfmt_rgb565 -DROADMAP_USES_EXPAT -DNDEBUG -DWGET_GOOGLE_ROUTE
CONIC_CFLAGS = -I/usr/include/conic -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
CONIC_LIBS = -lconic -ldbus-1 -lgobject-2.0 -lglib-2.0  
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3

CXXFLAGS = $(CFLAGS)
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GCONF_CFLAGS = -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GCONF_LIBS = -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
GLIB_CFLAGS =  
GLIB_LIBS =  
GNOME_VFS_CFLAGS = -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gnome-vfs-module-2.0  
GNOME_VFS_LIBS = -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldl -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
GREP = /scratchbox/tools/bin/grep
GTK_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12  
GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
HILDON_CFLAGS = -DMAEMO_CHANGES -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/hildon-fm-2  
HILDON_LIBS = -lhildon-1 -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBAGG_CFLAGS = -I/usr/include/agg2  
LIBAGG_LIBS = -lagg_pic  
LIBOBJS = 
LIBS = -lgpsbt -lgps -lgpsmgr 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBXML2_CFLAGS = -I/usr/include/libxml2  
LIBXML2_LIBS = -lxml2  
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/cfw/SVN/roadmap/trunk/missing --run makeinfo
OBJEXT = o
OSSO_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
OSSO_LIBS = -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
PACKAGE = roadmap
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 1.1.0
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${datarootdir}
datarootdir = ${prefix}/share
desktopentrydir = /usr/share/applications/hildon
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
helpfile_engbdir = ${datarootdir}/osso-help/en_GB
helpfile_enusdir = ${datarootdir}/osso-help/en_US
helpfile_fifidir = ${datarootdir}/osso-help/fi_FI
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
icon_26x26dir = ${datarootdir}/icons/hicolor/26x26/hildon
icon_34x34dir = ${datarootdir}/icons/hicolor/34x34/hildon
icon_40x40dir = ${datarootdir}/icons/hicolor/40x40/hildon
icon_50x50dir = ${datarootdir}/icons/hicolor/50x50/hildon
icon_scalabledir = ${datarootdir}/icons/hicolor/scalable/hildon
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/cfw/SVN/roadmap/trunk/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
oldincludedir = /usr/include
pdfdir = ${docdir}
pixmapdir = /usr/share/pixmaps
plugindesktopentrydir = /usr/share/applications/hildon-control-panel
pluginlibdir = 
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
serviceentrydir = /usr/share/dbus-1/services
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 

noinst_LIBRARIES = libroadmap.a \
			libbuildmap.a \
			libguiroadmap.a \
			libguiroadgps.a


bin_PROGRAMS = rdmghost \
			rdmkismet \
			rdmfriends \
			rdmtrace \
			roadmap \
			roadgps \
			buildmap_osm \
			getmaps_osm


libroadmap_a_SOURCES = roadmap_log.c \
			roadmap_message.c \
			roadmap_string.c \
			roadmap_voice.c \
			roadmap_scan.c \
			roadmap_list.c \
			roadmap_config.c \
			roadmap_option.c \
			roadmap_metadata.c \
			roadmap_index.c \
			roadmap_county.c \
			roadmap_osm.c \
			roadmap_locator.c \
			roadmap_math.c \
			roadmap_hash.c \
			roadmap_dbread.c \
			roadmap_dictionary.c \
			roadmap_square.c \
			roadmap_point.c \
			roadmap_line.c \
			roadmap_shape.c \
			roadmap_place.c \
			roadmap_polygon.c \
			roadmap_street.c \
			roadmap_plugin.c \
			roadmap_geocode.c \
			roadmap_history.c \
			roadmap_input.c \
			roadmap_nmea.c \
			roadmap_gpsd2.c \
			roadmap_gpsmgr.c \
			roadmap_io.c \
			roadmap_gps.c \
			roadmap_vii.c \
			roadmap_object.c \
			roadmap_driver.c \
			roadmap_adjust.c \
			roadmap_sunrise.c \
			roadmap_state.c \
			roadmap_gpx.c \
			roadmap_linefont.c \
			roadmap_file.c \
          		roadmap_path.c \
          		roadmap_library.c \
          		roadmap_net.c \
          		roadmap_serial.c \
          		roadmap_spawn.c \
          		roadmap_time.c \
			roadmap_httpcopy.c \
			roadmap_copy.c \
			roadmap.h \
			roadmap_address.h \
			roadmap_adjust.h \
			roadmap_canvas.h \
			roadmap_config.h \
			roadmap_coord.h \
			roadmap_copy.h \
			roadmap_copyright.h \
			roadmap_county.h \
			roadmap_osm.h \
			roadmap_crossing.h \
			roadmap_dialog.h \
			roadmap_dictionary.h \
			roadmap_display.h \
			roadmap_download.h \
			roadmap_driver.h \
			roadmap_factory.h \
			roadmap_features.h \
			roadmap_file.h \
			roadmap_fileselection.h \
			roadmap_fuzzy.h \
			roadmap_geocode.h \
			roadmap_gps.h \
			roadmap_vii.h \
			roadmap_gpsd2.h \
			roadmap_gpsmgr.h \
			roadmap_gpx.h \
			roadmap_gui.h \
			roadmap_hash.h \
			roadmap_help.h \
			roadmap_history.h \
			roadmap_httpcopy.h \
			roadmap_index.h \
			roadmap_input.h \
			roadmap_io.h \
			roadmap_label.h \
			roadmap_landmark.h \
			roadmap_layer.h \
			roadmap_library.h \
			roadmap_line.h \
			roadmap_linefont.h \
			roadmap_list.h \
			roadmap_locator.h \
			roadmap_main.h \
			roadmap_math.h \
			roadmap_message.h \
			roadmap_messagebox.h \
			roadmap_metadata.h \
			roadmap_navigate.h \
			roadmap_net.h \
			roadmap_nmea.h \
			roadmap_object.h \
			roadmap_path.h \
			roadmap_place.h \
			roadmap_plugin.h \
			roadmap_point.h \
			roadmap_pointer.h \
			roadmap_polygon.h \
			roadmap_preferences.h \
			roadmap_progress.h \
			roadmap_scan.h \
			roadmap_screen.h \
			roadmap_screen_obj.h \
			roadmap_serial.h \
			roadmap_shape.h \
			roadmap_spawn.h \
			roadmap_sprite.h \
			roadmap_square.h \
			roadmap_start.h \
			roadmap_state.h \
			roadmap_street.h \
			roadmap_string.h \
			roadmap_sunrise.h \
			roadmap_time.h \
			roadmap_track.h \
			roadmap_trigonometry.h \
			roadmap_trip.h \
			roadmap_types.h \
			roadgps_screen.c \
			roadgps_logger.c \
			roadmap_voice.h


libbuildmap_a_SOURCES = buildmap_messages.c \
				buildmap_dictionary.c \
				buildmap_dbwrite.c \
				buildmap_metadata.c \
				buildmap_city.c \
				buildmap_square.c \
				buildmap_point.c \
				buildmap_street.c \
				buildmap_area.c \
				buildmap_line.c \
				buildmap_shape.c \
				buildmap_polygon.c \
				buildmap_range.c \
				buildmap_zip.c \
				buildmap_layer.c \
				buildmap_tiger.c \
				buildmap_shapefile.c \
				buildmap_osm_binary.c \
				buildmap_empty.c \
				buildmap_place.c \
				buildmap_index.c \
				buildmap_opt.c \
				buildmap.h \
				buildmap_area.h \
				buildmap_city.h \
				buildmap_empty.h \
				buildmap_index.h \
				buildmap_layer.h \
				buildmap_line.h \
				buildmap_metadata.h \
				buildmap_opt.h \
				buildmap_osm_binary.h \
				buildmap_place.h \
				buildmap_point.h \
				buildmap_polygon.h \
				buildmap_range.h \
				buildmap_shape.h \
				buildmap_shapefile.h \
				buildmap_square.h \
				buildmap_street.h \
				buildmap_tiger.h \
				buildmap_zip.h \
				buildus_county.h \
				buildus_fips.h


libguiroadmap_a_SOURCES = roadmap_sprite.c \
				roadmap_object.c \
				roadmap_trip.c \
				roadmap_track.c \
				roadmap_landmark.c \
				roadmap_features.c \
				roadmap_layer.c \
				roadmap_fuzzy.c \
				roadmap_navigate.c \
				roadmap_pointer.c \
				roadmap_screen.c \
				roadmap_screen_obj.c \
				roadmap_display.c \
				roadmap_factory.c \
				roadmap_preferences.c \
				roadmap_address.c \
				roadmap_crossing.c \
				roadmap_coord.c \
				roadmap_download.c \
				roadmap_help.c \
				roadmap_label.c \
				roadmap_start.c \

=== src/gpx/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# src/gpx/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Roadmap unix specific ...

srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/roadmap
pkglibdir = $(libdir)/roadmap
pkgincludedir = $(includedir)/roadmap
top_builddir = ../..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i686-pc-linux-gnu
ACLOCAL = ${SHELL} /home/cfw/SVN/roadmap/trunk/missing --run aclocal-1.7
AGG_CFLAGS = 
AGG_LIBS = 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/cfw/SVN/roadmap/trunk/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/cfw/SVN/roadmap/trunk/missing --run autoconf
AUTOHEADER = ${SHELL} /home/cfw/SVN/roadmap/trunk/missing --run autoheader
AUTOMAKE = ${SHELL} /home/cfw/SVN/roadmap/trunk/missing --run automake-1.7
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3

CFLAGS = -O2 -ffast-math -fomit-frame-pointer -DROADMAP_USES_EXPAT
CONIC_CFLAGS = -I/usr/include/conic -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
CONIC_LIBS = -lconic -ldbus-1 -lgobject-2.0 -lglib-2.0  
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GCONF_CFLAGS = -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GCONF_LIBS = -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
GLIB_CFLAGS =  
GLIB_LIBS =  
GNOME_VFS_CFLAGS = -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gnome-vfs-module-2.0  
GNOME_VFS_LIBS = -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldl -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
GREP = /scratchbox/tools/bin/grep
GTK_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12  
GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
HILDON_CFLAGS = -DMAEMO_CHANGES -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/hildon-fm-2  
HILDON_LIBS = -lhildon-1 -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBAGG_CFLAGS = -I/usr/include/agg2  
LIBAGG_LIBS = -lagg_pic  
LIBOBJS = 
LIBS = -lgpsbt -lgps -lgpsmgr 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBXML2_CFLAGS = -I/usr/include/libxml2  
LIBXML2_LIBS = -lxml2  
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/cfw/SVN/roadmap/trunk/missing --run makeinfo
OBJEXT = o
OSSO_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
OSSO_LIBS = -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
PACKAGE = roadmap
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 1.1.0
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${datarootdir}
datarootdir = ${prefix}/share
desktopentrydir = /usr/share/applications/hildon
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
helpfile_engbdir = ${datarootdir}/osso-help/en_GB
helpfile_enusdir = ${datarootdir}/osso-help/en_US
helpfile_fifidir = ${datarootdir}/osso-help/fi_FI
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
icon_26x26dir = ${datarootdir}/icons/hicolor/26x26/hildon
icon_34x34dir = ${datarootdir}/icons/hicolor/34x34/hildon
icon_40x40dir = ${datarootdir}/icons/hicolor/40x40/hildon
icon_50x50dir = ${datarootdir}/icons/hicolor/50x50/hildon
icon_scalabledir = ${datarootdir}/icons/hicolor/scalable/hildon
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/cfw/SVN/roadmap/trunk/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
oldincludedir = /usr/include
pdfdir = ${docdir}
pixmapdir = /usr/share/pixmaps
plugindesktopentrydir = /usr/share/applications/hildon-control-panel
pluginlibdir = 
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
serviceentrydir = /usr/share/dbus-1/services
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 

noinst_LIBRARIES = libgpx.a

libgpx_a_SOURCES = gpx.c \
          		xmltag.c \
          		waypt.c \
          		route.c \
          		util.c \
          		mkshort.c \
          		formspec.c \
          		vmem.c \
			defs.h \
			gbtypes.h


INCLUDES = -I.. -I/usr/include

LIBADD = -lexpat
subdir = src/gpx
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/src/config.h
CONFIG_CLEAN_FILES =
LIBRARIES = $(noinst_LIBRARIES)

libgpx_a_AR = $(AR) cru
libgpx_a_LIBADD =
am_libgpx_a_OBJECTS = gpx.$(OBJEXT) xmltag.$(OBJEXT) waypt.$(OBJEXT) \
	route.$(OBJEXT) util.$(OBJEXT) mkshort.$(OBJEXT) \
	formspec.$(OBJEXT) vmem.$(OBJEXT)
libgpx_a_OBJECTS = $(am_libgpx_a_OBJECTS)

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)/src
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/formspec.Po ./$(DEPDIR)/gpx.Po \
	./$(DEPDIR)/mkshort.Po ./$(DEPDIR)/route.Po \
	./$(DEPDIR)/util.Po ./$(DEPDIR)/vmem.Po \
	./$(DEPDIR)/waypt.Po ./$(DEPDIR)/xmltag.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(libgpx_a_SOURCES)
DIST_COMMON = README $(srcdir)/Makefile.in Makefile.am
SOURCES = $(libgpx_a_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  src/gpx/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
libgpx.a: $(libgpx_a_OBJECTS) $(libgpx_a_DEPENDENCIES) 
	-rm -f libgpx.a
	$(libgpx_a_AR) libgpx.a $(libgpx_a_OBJECTS) $(libgpx_a_LIBADD)
	$(RANLIB) libgpx.a

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/formspec.Po
include ./$(DEPDIR)/gpx.Po
include ./$(DEPDIR)/mkshort.Po
include ./$(DEPDIR)/route.Po
include ./$(DEPDIR)/util.Po
include ./$(DEPDIR)/vmem.Po
include ./$(DEPDIR)/waypt.Po
include ./$(DEPDIR)/xmltag.Po

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=yes \
#	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ../..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)

=== debian/changelog ===
roadmap (1.1.0j-7diablo) stable; urgency=low

  * Initial release 1.1.0c- Alpha Bleeding Edge Version- Somewhat Hildonized, mostly stable.
  
  * 1.1.0d-	-Totally reworked source code structure and makefiles to use GNU automake tools!
		-Added +/- hardware key support
		-Added Desktop shortcut
		-Removed map building programs and features to cut package size and simplify
			porting. (May add it as separate package later)
  
  * 1.1.0e-1	-Added basic libgpsmgr support for n810
		-   Press 'V' to disable onboard GPS, press 'G' to enable it.
		-   Note: There's a bug with agg and gpsd. if fonts are redrawn on the map before
                -         a GPS lock is achieved, gpsd is killed. Just press 'G' to get it back.
                -         Once lock is achieved, it goes away. I'm working on it...
		-Added libagg support for font display parallel to roads.
		-Cleaned up preferences menu.
  * 1.1.0e-2    -Changed the osso functions/structs. Added skeleton state saving code.
		-         Easier to work with, still doesn't work as service...
                -Cleaned up a couple of messy spots to get GPS Console looking right.
		-Added libexpat support for better track diplay and export.
  * 1.1.0f-1	-Split roadmap_main.c into roadmap_main.c and roadgps_main.c for future dbus
		-	integration.
		-fixed help callback to open browser with manual page.
		-set gpsd to restart if it crashes(usually before a lock is achieved...)
		-Removed the usdir.rdm and SB (basemap) files from the package.
  * 1.1.0f-2	-Fixed the 'Disable GPS' menu item.
  * 1.1.0g-1	-Added Bluetooth GPS Address to preferences. (I have no idea whether this works. I don't
		-	own an n800 nor a bluetooth gps receiver. If you try this let me know if it 
		-	works or not...
  * 1.1.0g-2    -Changed gpsd code to threaded to improve response.
		-hardcoded /media/mmc1/roadmaps and /media/mmc2/roadmaps into program and removed symbolic links
		-	from /usr/share/roadmap/maps. This speeds things up and allows for mapdir to be on either
		-	memory card
  * 1.1.0g-3	-Changed how roadmap uses libgpsbt a bit
  * 1.1.0h-1	-This update is mainly upstream code from the sourceforge project. It includes-
		-	-Much Faster Program Response
		-	-Less Blocking during redraw  (and shows progress bar)
		-	-Improved GPS Console UI
		-	-Bug Fixes
		-	-Improvements to Math Routines.
		-The result is the program runs faster, blocks less, shows progress bar on large redraws,
		-	and the GPS Console is more functional(and nicer looking!).
  * 1.1.0h-2	-Disable GPS focus at large zooms to minimize redraw wonkiness.
  * 1.1.0i-1	-Added features from upstream, including buildmap_osm binary for Open Street Map downloads,
		-	merged gps console, AGG font scaling...
		-Wrote buildmaps_osm as a GTK+ way to get Open Street Maps data. Probably has bugs, but works... 
		-	To Do: Hildonize preferences menu (color picker instead of text boxes for colors, etc.), 
		-	Add onboard routing algorithm(Involves changing map format.). 
  * 1.1.0i-2	-Fix a bug with locales where decimal separator is a comma. Thanks phgerin at ITT for pointing
			this out.
  * 1.1.0i-3	-Cleaned up gpsmgr code.
		-Set Max Zoom to 16k as maps in view are in memory and memory is limited...
		-Fixed a bug in the screen drawing code which was causing repaints to pile up at large zooms.
  * 1.1.0i-4	-Finished dbus/libosso integration. (Prevents multiple copies of app starting from launcher
		-	and allows for IPC between apps. 
		-Added *.gpx mime handling.
		-Added function to take screenshot for menu item- file->Map Screenshot (not implemented in AGG code)
		-TODO- add dbus notification and callback from getmaps to roadmap to force reload of maps
		-	at end of download. Use dbus for roadmap_spawn.
  * 1.1.0j-1	-Added google directions download and import directly to menu (+modified WGET_GOOGLE_ROUTE for Maemo)-
		-	1. 'file->fetch route from google' allows the user to get directions based upon current route
		-		(Route must be only 2 points, start and dest. Intermediate waypoints are not supported.)
		-	2. 'file->get google route by address' gives a dialog where the user may enter start and destinaton
		-		info and get back a route. Lat,Lon, address, etc... are supported and work fairly well.  
		-Changed long-click popup menu to include 'new route to selection'. Also added preferences item for google
		-		to GPX server. (Right now uses gnuite.com:8080)
		-Added 'Get OSM Maps of Current View' function to Main and Long-Click menus. Will feed all required data to 
		-	getmaps_osm and download maps, all with one click.
  * 1.1.0j-2	-Added dbus notification of new map downloads so they automatically appear in Roadmap without having to
		-	restart the app.
		-Applied a couple minor upstream bug fixes.
		-Added backlight control to keep display on. Also added speed threshold and delay setting... Choices are to
		-	keep backlight on- always, never, or when moving. speed is the speed required to light the display.
		-Delay is (roughly) the number of seconds to wait before lighting up the display. (This also affects
		-	how often the app makes this call. i.e. 10 seconds = once every 10 seconds. All that is required
		-	to keep the display on is once every 60 seconds. But setting this to 60 will keep the display dark
		-	for 60 seconds after movement, which is too long... Larger setting = longer battery life but less
		-	responsiveness. Set to 5-10 if you want snappy, 20-30 if you want battery life. Default is 10.
  * 1.1.0j-3	-Fixed bug in GPS code which shows incorrect GPS position in some locales, fixes sprites
  * 1.1.0j-4	-Added user agent to wget queries by request. Changed compiler to VFP instead of fp emulation.
  * 1.1.0j-5	-Add sun/moon position code to GPS console
		-Remove calloc from roadmap_square.c in favor of malloc/memset.
		-Replace malloc/calloc/realloc with g_new/g_new0/g_renew in roadmap_locator.c to avoid realloc bug.
  * 1.1.0j-6	-Change realloc fix to use less memory.


=== debian/control ===
Source: roadmap
Section: user/other
Priority: optional
Maintainer: Charles Werbick <roadmapformaemo@gmail.com>
Build-Depends: debhelper (>= 4.0.0), hildon-libs-dev | libhildon1-dev, hildon-fm-dev | libhildonfm2-dev, libgtk2.0-dev, libosso-gnomevfs2-dev, libglib2.0-dev, libdbus-glib-1-dev, libosso-dev, osso-gpsd-dev, libgpsbt-dev, libfreetype6-dev, libagg-dev (>= 2.5), libconic0-dev
Standards-Version: 3.6.0

Package: roadmap
Architecture: armel arm
Pre-Depends: maemo-select-menu-location
Depends: ${shlibs:Depends}, wget
Suggests: flite, proj, gpsbabel, kismet
Description: Roadmap for Maemo Vector mapping program. 
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAIAAAAmKNuZAAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH2AEEEC4grPQA
 kQAAArxJREFUSMellc1vG0UYxn8zs7vpejdrK91YMQkpQS2pqqqVQEkEPRQk
 7pw4cIG/AI78Oxy5cYZbpVatUKVUvfSLNMgQJ7ITpf7Y9dab2R0O+bCd1MFx
 H81lRrOP3ud53ndWqJ9UqVAKvdBzPCEEF4cxJj6Ia81a1IvUzFczd6/eFVLo
 XBvMBHRCikqxEkwFu/GuFfphI2o8eP2A94DruCuLK+XpsvQdP+7FvB+SNIl7
 ceiFlkAMahTgpUynJDaJhZ3jZEynRA4GUsWBxNW4B3QcYqf/ZWYyS1gWMOjY
 Jc33L/juFZtF1mdZiFhustSi5pMqXpbY8vl0l49b/PoJv9wgsU4SAYGF4GiB
 MCy/4dsNvthhrc43mzgZUxkSbu6Tw9eKVFHQqBwteVjh6SxGHOsSWIMWTCG/
 TC/fdmz5ARKKwwZJcME93t52zFq388zEqeirG6Izuffc+uHnG4tyDPu1ydfT
 x1n2GzJ5N12vZf/xe0S7Nm6il6eo2NjJoIIBRAHt4gUapFWiHZwyZEguEw3G
 GbpDHi/Cbx9vxlhBk+nWYA1yqBq3S2l/7AINhQhLDx4Mi7U1le2hG+fA0lS2
 sfUZsSfVKM1cDb8zFp3fYa6G0n27TkchDOU6C9X+pVFQmoUq5TrCnJMsFLrc
 esLSxnmMSrO0wa0nFLqnDTgat6Hm3OPOPYzg76vk6kwvZHz0mjv3CNrDyk7o
 ziYZtFl5hMypLZK4GAkgctyE+X/47M/TXP0XZRTCXT6/z79X+Os6OwsAlS2u
 veDDKkFrZNrvEHsSS7GJ32Fpg6Rw1JWX3qKyEb+Mw+YxWgk12vUML8b7/9df
 CaWNls1uc74079ru5HMq5Kw/O+PN7EV7VqPTaHQaq1dWu2k3M9kEdLayXcut
 7lfrnbrgRxzllINy6IVKqgnoerq39War/badm/w/n/gTl4wbByIAAAAASUVO
 RK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif
ifneq (,$(findstring arm-linux-gnueabi,$(DEB_BUILD_GNU_TYPE)))
	CFLAGS += -mfpu=vfp -mfloat-abi=softfp
endif
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g -O0 -DDEBUG
else
	CFLAGS += -DNDEBUG
endif

# Check maemo version we are building for
MAEMO_VERSION=$(shell pkg-config libosso --modversion | cut -d . -f 1)
ifeq ($(MAEMO_VERSION), 1)
	BUILD_LEGACY = yes
else
	BUILD_LEGACY = no
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	./autogen.sh
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --disable-static --enable-legacy=$(BUILD_LEGACY)
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package
	$(MAKE) install DESTDIR=$(CURDIR)/debian/roadmap

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
